abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

včera 17:22 | Komunita

Martin Flöser představil na svém blogu projekt XFree KWin. Cílem projektu je rozběhnout správce oken KWin na Waylandu bez XWaylandu [reddit].

Ladislav Hagara | Komentářů: 2
včera 16:55 | Komunita

Do pátku 29. září probíhá v Praze v hotelu Hilton konference SUSECON 2017 pořádaná společností SUSE. Dění na konferenci lze sledovat na Twitteru. Nils Brauckmann, CEO společnosti SUSE, vítá účastníky konference na YouTube.

Ladislav Hagara | Komentářů: 0
včera 07:00 | Komunita

Příspěvek na blogu společnosti Yubico informuje o začlenění podpory bezpečnostních klíčů FIDO U2F do Firefoxu Nightly. Dosud bylo možné dvoufázové ověření pomocí FIDO U2F ve Firefoxu zajistit pouze pomocí doplňku.

Ladislav Hagara | Komentářů: 3
včera 06:00 | Humor

Adobe PSIRT (Adobe Product Security Incident Response Team) neúmyslně zveřejnil (archive) na svém blogu svůj soukromý OpenPGP klíč. Klíč byl revokován a vygenerován nový. Nelze nezmínit xkcd 1553 - Veřejný klíč.

Ladislav Hagara | Komentářů: 1
24.9. 20:00 | Nová verze

Byla vydána (cgit) verze 0.99 svobodného nelineárního video editoru Pitivi. Jedná se o release candidate verze 1.0. Přehled úkolů, které je nutno ještě dodělat, na Phabricatoru. Pitivi je k dispozici také ve formátu Flatpak.

Ladislav Hagara | Komentářů: 0
24.9. 17:11 | Komunita

Microsoft s Canonicalem představili linuxové jádro Ubuntu optimalizováno pro cloudové služby Microsoft Azure (linux-azure). Jako výchozí je toto menší a výkonnější jádro použito již v Ubuntu Cloud Images for Ubuntu 16.04 LTS. Canonical zatím nenabízí patchování tohoto jádra za běhu systému (Canonical Livepatch Service).

Ladislav Hagara | Komentářů: 1
24.9. 14:55 | Komunita

Facebook oznámil, že přelicencuje open source projekty React, Jest, Flow a Immutable.js ze své vlastní kontroverzní licence BSD+Patents na licenci MIT. Stane se tak tento týden s vydáním Reactu 16. Jedním z důvodů přelicencování bylo oznámení nadace Apache, že software pod Facebook BSD+Patents licencí nesmí být součástí produktů pod touto nadací [Hacker News].

Ladislav Hagara | Komentářů: 0
23.9. 21:44 | Nová verze

Po půl roce od vydání verze 9.0 byla vydána verze 10.0 open source alternativy GitHubu, tj. softwarového nástroje s webovým rozhraním umožňujícího spolupráci na zdrojových kódech, GitLab (Wikipedie). Představení nových vlastností v příspěvku na blogu a na YouTube.

Ladislav Hagara | Komentářů: 0
22.9. 18:11 | Nová verze

Společnost Oracle oficiálně oznámila vydání Java SE 9 (JDK 9), Java Platform Enterprise Edition 8 (Java EE 8) a Java EE 8 Software Development Kit (SDK). Java SE 9 přináší více než 150 nových vlastností.

Ladislav Hagara | Komentářů: 0
22.9. 12:11 | Komunita

Na Humble Bundle lze získat hororovou počítačovou hru Outlast (Wikipedie) běžící také v Linuxu zdarma. Speciální akce končí v sobotu v 19:00.

Ladislav Hagara | Komentářů: 2
Těžíte nějakou kryptoměnu?
 (5%)
 (3%)
 (17%)
 (75%)
Celkem 574 hlasů
 Komentářů: 23, poslední 24.9. 18:12
    Rozcestník

    Dotaz: Slackware - DEVEL

    6.4.2005 18:08 Goffix | skóre: 25 | blog: Powered by ArchLinux | Hradec Králové
    Slackware - DEVEL
    Přečteno: 38×
    Zdravim, na to ze pouzivam Slackware necele dva roky, tak jsem asi furt pekna lama... Jasne, uz kolikrat jsem stravil mnoho a mnoho casu nad kompilacema ruznych softu, ale kdyz me to trapi jeste skoro po dvou letech, tak uz me to trochu prestava bavit :-/

    No abych se dostal k otazce.. Po pravde az ted (pri hledani problemu) jsem se tak nejak dozvedel, ze pro kompilace jsou dost potreba DEVEL balicky (i kdyz je tam nemaji primo napsane), ale jak hledam uz asi celej den, tak je proste nemuzu nikde najit!!! Nekde tady v diskusi jsem cetl jen hlasku: "Slackware devel balicky neresi"... to je sice prima, ale kdyz to po me neco vyzaduje, tak kde je mam sehnat?? Do ted jsem to delal konverzi z rpm apod... ale pripada mi, ze to neni uplne ono :-/

    Popripade doplnujici otazka. Mel take nekdo problem s kompilaci softu SuperKaramba? Mam Python2.4. Nekde jsem si stahnul zdrojak primo pro tuhle verzi (jinak to bere maximalne 2.3), ale tahle mi zase hlasi nesmyslne
    checking for KDE... libraries /opt/kde/lib, headers /opt/kde/include
    checking if UIC has KDE plugins available... no
    configure: error: you need to install kdelibs first.
    
    Pritom mam kdelibs3.4 (i devel z RPMka)... Pravda zkusil jsem tam hodit neco jako kdelibs3.2.1 nebo tak nejak a to vzalo, ale pak to stejne skolabovalo na kompilaci :-/

    Hlavne me zajimaji ty DEVEL balicky.... Diky za kazdou radu a preji hezky den. Pavel V.

    Odpovědi

    6.4.2005 18:16 VícNežNic | skóre: 42 | blog: Spáleniště | Ne dost daleko
    Rozbalit Rozbalit vše Re: Slackware - DEVEL
    Slackware devel balíčky neřeší :-) Jejich obsah, hlavičkové soubory, bývá podle dobrého zvyku součastí samotného balíčku. Žádné devel bůhvíco tedy není zapotřebí.
    Copak toho není dost?
    6.4.2005 18:50 Goffix | skóre: 25 | blog: Powered by ArchLinux | Hradec Králové
    Rozbalit Rozbalit vše Re: Slackware - DEVEL
    No uz jsem psal malem prispevek, kterej by me shodil jeste vic :)

    Dobre, tak jsem prohledal celej system a opravdu tam vsemozny nejcastejsi hlavickove soubory mam....

    Tak ted k tomu druhemu: Nevite nekdo co muze byt za problem s tim kdelibs??? Ted jsem mu tam zkusil dat vsechny cesty primo, ale proste to nebere... :(
    6.4.2005 19:02 sweto
    Rozbalit Rozbalit vše Re: Slackware - DEVEL
    nebolo by jednoduchsie proste stiahnut balik a nainstalovat ho? ak nechces superkarambu nutne kompilovat, tak http://www.linuxpackages.net/download.php?id=5813

    ku kompilovaniu v slackwari: niekedy je to dost zahadne, hlavne ak napr. pod jadom 2.4.29 (default v 10.1) skompilujem nejaky program, potom zmenim jadro za lubovolne 2.6.x a ak chcem program zkompilovat znovu, tak to na niecom xcipne...
    6.4.2005 19:17 Goffix | skóre: 25 | blog: Powered by ArchLinux | Hradec Králové
    Rozbalit Rozbalit vše Re: Slackware - DEVEL
    Balik jsem zkousel, ale uz jen to menu prvni fungovalo tak napul a potom to vubec tak divne spolupracovalo s pythonem. Asi to bylo tim ze to bylo pro python2.3 jak jsem rikal a ja mam 2.4.

    Ale jinak asi bych tomu ani sam neuveril, ale zrovna jsem to zkompiloval!!! :)

    Vypada to, ze i naprosto "blba" otazka me z toho kola muze dostat... Na googlu jsem zacal hledat jinym zpusobem a tady je reseni.

    V souboru configure je radek:
    if test -f actest.cpp && grep klineedit actest.cpp > /dev/null; then
    Tak staci prepsat "klineedit" na "KLineEdit"... :) Jak prosty bug...

    Myslim, ze by to mohlo pomoct hodne lidem, jelikoz tahle odpoved na kterou jsem se proklikal asi pres pet diskusi vubec nepatrila memu instalovanemu softwaru.

    Diky za pomoc, Pavel V.
    Viliam Púčik avatar 7.4.2005 15:12 Viliam Púčik | skóre: 22 | blog: minimal
    Rozbalit Rozbalit vše Re: Slackware - DEVEL
    Tak staci prepsat "klineedit" na "KLineEdit"... :) Jak prosty bug...
    Pozor, to nie je bug, naozaj to ma byt "klineedit". Prepisanim na "KLineEdit", sa problem nevyriesi, len obide. "configure" sice prebehne, ale "make" uz nemusi. Je to sposobene nekompatibilitou QT a KDELIBS (KDELIBS kompilovane proti inej verzii QT nez mas na systeme).

    Tiez som narazil na taky isty problem pri kompilovani K3B. Stacilo znovu skompilovat "kdelibs" a bolo po probleme.
    8.4.2005 13:36 Zdeněk Štěpánek | skóre: 57 | blog: uz_mam_taky_blog | varnsdorf
    Rozbalit Rozbalit vše Re: Slackware - DEVEL
    Zdravim

    S touto chybou jsem se setkal nekolikrat, prepsani klineedit mi vzdy pomohlo a soft vzdy fungoval. Pry to ma souvislost se starymi verzemi stareho KDE po upgrade. Snad pomaha cele KDE odinstalovat uplne pryc a nainstalovat aktualni balicky z ciste vody.

    mam taky slacka

    Zdenek
    www.pirati.cz - s piráty do parlamentu i jinam www.gavanet.org - czfree varnsdorf
    20.4.2005 00:34 mimi.vx | skóre: 37 | blog: Mimi.VX | Praha
    Rozbalit Rozbalit vše Re: Slackware - DEVEL
    proto pouzit kde balicky i s prislusnym qt.... nejlepe slackware-current
    USE="-gnome -kde";turris
    25.8.2005 19:18 sweto | skóre: 20
    Rozbalit Rozbalit vše Re: Slackware - DEVEL
    hmmm, vcera som rucne upgradoval celeho slacka na currnet (vratana kde a qt) a prvy krat na mna vyskocila takato chyba... ale robi to pre uplne vsetky kde programy, ktore chcem skompilovat (stiahol som nieco z kde-look a neslo to. potom som skusla take veci ako krusader a pod. a stale nic...) zatial to riesim mcedit ./configure a hladam klineedit, ale to ako najlepsie riesenie nevidim.
    25.8.2005 19:18 sweto | skóre: 20
    Rozbalit Rozbalit vše Re: Slackware - DEVEL
    hmmm, vcera som rucne upgradoval celeho slacka na currnet (vratana kde a qt) a prvy krat na mna vyskocila takato chyba... ale robi to pre uplne vsetky kde programy, ktore chcem skompilovat (stiahol som nieco z kde-look a neslo to. potom som skusla take veci ako krusader a pod. a stale nic...) zatial to riesim mcedit ./configure a hladam klineedit, ale to ako najlepsie riesenie nevidim.
    25.8.2005 19:30 Triton | skóre: 10 | blog: keep_slacking
    Rozbalit Rozbalit vše Re: Slackware - DEVEL
    Pritom mam kdelibs3.4 (i devel z RPMka)... Pravda zkusil jsem tam hodit neco jako kdelibs3.2.1 nebo tak nejak a to vzalo, ale pak to stejne skolabovalo na kompilaci :-/
    Jestli jsem předchozí pochopil správně, tak vřele doporučuju odinstalovat ten devel balíček z rpmka a používat pouze oficiální kdelibs ze Slackware.
    Z'LI0(%:`&/NRU`Y0"@8.L%.%PG(%!D>"<!@C(4&'?`UO!/$"K\2)+!1K',R' 2V,*3$D-EG4PC!<*(%%I"<*$` `

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.